diff --git a/tests/bash/02_non_ironbank.sh b/tests/bash/02_non_ironbank.sh
index 86ba3e34bee8847326ed643be0f7161852301519..b67d7e81fc8e9bee34532b465ab94eb9bfe5fb34 100755
--- a/tests/bash/02_non_ironbank.sh
+++ b/tests/bash/02_non_ironbank.sh
@@ -6,4 +6,4 @@ set -e
 # Quick check for non iron bank images
 echo "Showing images not from ironbank:"
 # Ignore rancher images since those are from k3d
-kubectl get pods -A -o jsonpath="{..image}" | tr -s '[[:space:]]' '\n' | sort | uniq -c | ( grep -v "registry1" || true ) | ( grep -v "rancher" || echo "None" )
+kubectl get pods -A -o jsonpath="{..image}" | tr -s '[[:space:]]' '\n' | sort | uniq -c | grep -v "registry1" | ( grep -v "rancher" || echo "None" )